# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/IRC/Client.pm) perl(AnyEvent/Superfeedr.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Find/Lib.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Net-AppNotifications
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: send notifications to your iPhone.
Group: Development/Perl
License: perl
URL: http://github.com/yannk/perl-net-appnotifications/tree

Source0: http://cpan.org.ua/authors/id/Y/YA/YANNK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Net::AppNotifications is a wrapper around appnotifications.com. It allows
you to push notifications to your iPhone(s) registered with the service.

A visual and audible alert (like for SMS) will arrive on your device
in a limited timeframe.

appnotifications allows you to tweak different aspect of the notification
received:

=over 4

=item * the message

=item * the sound played, if any

=item * the title of the accept button of the notification

=item * what happens once accepted

=item * ... more, see the the SYNOPSIS manpage

=back

If you already have an APNS key, I recommend using the AnyEvent::APNS manpage,
directly. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/N*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

